petsc-3.6.2 2015-10-02
Report Typos and Errors

# ISColoringCreate

Generates an ISColoring context from lists (provided by each processor) of colors for each node.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISColoringCreate(MPI_Comm comm,PetscInt ncolors,PetscInt n,const ISColoringValue colors[],PetscCopyMode mode,ISColoring *iscoloring)

Collective on MPI_Comm

### Input Parameters

| comm | - communicator for the processors creating the coloring
| ncolors | - max color value
| n | - number of nodes on this processor
| colors | - array containing the colors for this processor, color numbers begin at 0.
| mode | - see PetscCopyMode for meaning of this flag.

### Output Parameter

iscoloring -the resulting coloring data structure

### Options Database Key

-is_coloring_view -Activates ISColoringView()

Notes: By default sets coloring type to IS_COLORING_GLOBAL

### See Also

MatColoringCreate(), ISColoringView(), ISColoringDestroy(), ISColoringSetType()

Level:advanced
Location:src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5s.c.html